Subject: RE: [nemo] Extensions to NEMOv4 base for the Charter.

From: "COMBES Jean-Michel RD-MAPS-ISS" <[email-masked]>
Date: Fri, 5 May 2006 15:02:15 +0200

Hi George,

> -----Original Message-----
> From: Tsirtsis, George [mailto:[email-masked]] 
> Sent: Friday, May 05, 2006 2:36 PM
> To: Thierry Ernst; [email-masked]
> Subject: RE: [nemo] Extensions to NEMOv4 base for the Charter.
> 
> Thierry,
> 
> Your last e-mail is a bit confusing. Did you mean to say that 
> the NEMOv4 could be taken care in the MIP4 WG?
> 
> If that is what you said, then yes, it could be done there 
> but it would be weird to do so. Network Mobility is Network 
> Mobility (v4 or v6).
> Talking about confusing the observer...
> 
> I find the desire to work on v4 only or v6 only issues narrow 
> minded. We still exist in an IPv4 world and when IPv6 is 
> deployed we will exist in a dual stack world for a long, long 
> time. Why do people think that it is a good idea to "focus" 
> on one version of IP or another is a mystery. 
> 
> But even if some people do want to have IPv6 only "focus", 
> the argument that a discussion about IPv4 would "break their 
> concentration" and "cause them to loose track of the 
> important threads" is very, very lame.
> Come one guys, be serious. 

It is totally serious!

Just think about the number of threads where the subject of the email
was not about what was the text inside it .... the consequences are that
main issues may be missed by people.

Another point is regarding the fact that you may have two sessions in an
IETF meeting that are in parallel: generally, you follow always the one
where there more topics in scope with your activities. So the
consequences are that people will become less active in NEMO.

To summarize my point of view: I am only afraid that will gain in
quantity vs quality if all the works about NEMO (v4+v6) will be done in
the same WG.

> George

Best regards.

France Telecom - R&D Division - MAPS/NSS   
Jean-Michel COMBES, Internet/Intranet Security
E-Mail: [email-masked]
Phone: +33 (0)1 45 29 45 94
Fax: +33 (0)1 45 29 65 19
Mobile: +33 (0)6 07 29 30 16 
 
> 
>  
> > -----Original Message-----
> > From: Thierry Ernst [mailto:[email-masked]]
> > Sent: Friday, May 05, 2006 8:13 AM
> > To: [email-masked]
> > Subject: Re: [nemo] Extensions to NEMOv4 base for the Charter.
> > 
> > 
> > 
> > NEMOv4 could not be taken care of the MIP4 WG, so no new WG 
> would be 
> > needed,  but v4 and v6 work would be addressed by the most 
> appropriate 
> > WG.
> > 
> > The people supporting NEMOv4 work never considered that 
> possibility ?
> > 
> > Thierry
> > 
> > On Fri, 05 May 2006 12:32:20 +0200
> > Alexandru Petrescu <[email-masked]> wrote:
> > 
> > > Julien Bournelle wrote:
> > > > Hi all,
> > > >
> > > > I can remember that mobileip has decided to split to work more 
> > > > efficiently. So maybe it would be better to do the same 
> thing for 
> > > > NEMO and thus to keep focus on v6.
> > >
> > > Julien, splitting MIP into other WGs happened at a time when there
> was
> > > only one WG about mobility, called just MIP.
> > >
> > > Since about 3 years there are many WGs related to mobility: mip6,
> mip4,
> > > mipshop, monami6, mobike, netlmm and maybe others.  Netlmm and
> monami6
> > > BoFs were happening at about the same time.  Monami6 became a WG
> before
> > > netlmm and there was strong discussion and questioning about the 
> > > necessity about so many mobility related WGs.
> > >
> > > It is normal to question the high number of these WGs.  Because
> actual
> > > deployment of their output compared to other WGs (e.g. vpn or pkix
> WG)
> > > is really non-significant.
> > >
> > > I think the question to be asked is whether WG thinks this v4 work
> is
> > > important or not, not necessarily whether it should be 
> done here or 
> > > there.  And when people think the v4 work is not important to 
> > > counter-exemplify with v6 deployments out there.
> > >
> > > Alex
> > >
> > 
> > 
> > --
> > Thierry ERNST, PhD
> > INRIA Rocquencourt Projet IMARA
> > +33 1 39 63 59 30
> > 
> 
> 
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 05 May 2006 16:07:20 +0200

COMBES Jean-Michel RD-MAPS-ISS wrote:
>  was not about what was the text inside it .... the consequences are 
> that main issues may be missed by people.

I agree.  But sometimes changing the Subject line too often is not
appreciated either.

> Another point is regarding the fact that you may have two sessions in
>  an IETF meeting that are in parallel: generally, you follow always 
> the one where there more topics in scope with your activities. So the

Exactly, two parallel sessions of a v4 group and a v6 group makes it
impossible to have a good transition mechanism.

Mip6trans is an example of parallel work (MIP6 and NEMO WGs).  Its
discussions happen in MIP6 WG only however, for the reason people
naturally think mip6trans is about Mobile IPv6 only, not NEMOv6.  This
is a bad thing, because I have to follow the two to understand the
implications on NEMOv4.

> quantity vs quality if all the works about NEMO (v4+v6) will be done 
> in the same WG.

Yes, we should strive for better balance quality-quantity in whatever
the group does.

Alex

---

From: Thierry Ernst <[email-masked]>
Date: Fri, 5 May 2006 16:47:40 +0200

> impossible to have a good transition mechanism.

The point Jean-Michel wanted to make - I think - is that it is probably
easier to avoid conflicts with parallel sessions when the same WG is
addressing both IPv4 and IPv6.

Currently, we already have difficulties to avoid conflicts with other
WGs where active NEMO WGs members are actively participating, if we mix
up NEMOv4 and NEMOv6 in the same WG we will have to avoid conflicts with
IPv4 and IPv6 related WGs. Currently, we only list IPv6-related WGs. 

> is a bad thing, because I have to follow the two to understand the

Here you are speaking about transitioning between v4 and v6, not about
plain v4, so you cannot mix up your arguments to make your point. 

> Yes, we should strive for better balance quality-quantity in whatever

I don't see any tradeoff between quantity and quality. Quality should be 1st.

Thierry.

---

From: Thierry Ernst <[email-masked]>
Date: Fri, 5 May 2006 16:54:36 +0200

> addressing both IPv4 and IPv6.

I might be tired, I meant the opposite, "it is probably easer to avoid
conflicts with // sessions when distinct WGs are addressing IPv4 and
IPv6, respectively rathen than a single WG addressing both IPv4 and IPv6
variants of a protocol.".

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 05 May 2006 17:08:17 +0200

Thierry Ernst wrote:
>>>> Another point is regarding the fact that you may have two
>>>> sessions in an IETF meeting that are in parallel: generally,
>>>> you follow always the one where there more topics in scope with
>>>> your activities. So the consequences are that people will
>>>> become less active in NEMO.
>>> Exactly, two parallel sessions of a v4 group and a v6 group makes
>>> it impossible to have a good transition mechanism.
>> The point Jean-Michel wanted to make - I think - is that it is
>> probably easier to avoid conflicts with parallel sessions when the
>> same WG is addressing both IPv4 and IPv6.
> 
> I might be tired, I meant the opposite, "it is probably easer to
> avoid conflicts with // sessions when distinct WGs are addressing
> IPv4 and IPv6, respectively rathen than a single WG addressing both
> IPv4 and IPv6 variants of a protocol.".

I understand.  What may look conflicting to him looks helpful for me and
vice-versa.  Why?  Because I'm already getting through the struggle of
following the mip6trans work, claimed to be // (parallel), but actually
happening only on MIP6.  It's a natural tendency.  I wouldn't want
NEMOv4 work to "officially" be attached to here _and_ MIP4 WG because 
the actual work will happen in only one place.

I've already given examples of v4 and v6 versions of same protocol
happening in many other WGs (dhc, pkix, ipsec).  The mip4-mip6 WG
distinction is a particular split, not the general case.

But I agree that many people in this WG are doing IPv6 work, I myself am
doing much IPv6 work.  I don't oppose IPv4 work happening here.

Alex

---

From: Ryuji Wakikawa <[email-masked]>
Date: Tue, 9 May 2006 00:08:03 +0900

On 2006/05/05, at 23:07, Alexandru Petrescu wrote:

>>  was not about what was the text inside it .... the consequences  
>> are that main issues may be missed by people.
>
>>  an IETF meeting that are in parallel: generally, you follow  
>> always the one where there more topics in scope with your  
>> activities. So the

This is not parallel work. see the file name. it is draft-ietf-mip6- 
nemo.
NEMO is also same, because it is just extension of Mobile IPv6.
But it didn't take place in MIP6 WG.

ryuji

>> quantity vs quality if all the works about NEMO (v4+v6) will be  
>> done in the same WG.
>